// <auto-generated />
// This file was generated by a T4 template.
// Don't change it directly as your change would get overwritten.  Instead, make changes
// to the .tt file (i.e. the T4 template) and save it to regenerate this file.

// Make sure the compiler doesn't complain about missing Xml comments and CLS compliance
// 0108: suppress "Foo hides inherited member Foo. Use the new keyword if hiding was intended." when a controller and its abstract parent are both processed
// 0114: suppress "Foo.BarController.Baz()' hides inherited member 'Qux.BarController.Baz()'. To make the current member override that implementation, add the override keyword. Otherwise add the new keyword." when an action (with an argument) overrides an action in a parent controller
#pragma warning disable 1591, 3008, 3009, 0108, 0114
#region T4MVC

using System;
using System.Diagnostics;
using System.CodeDom.Compiler;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Threading.Tasks;
using System.Web;
using System.Web.Hosting;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using System.Web.Mvc.Html;
using System.Web.Routing;
using T4MVC;
namespace LoyaltyPointEngine.CMS.Controllers
{
    public partial class PromoReportingController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public PromoReportingController() { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected PromoReportingController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }

        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Index()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Detail()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Detail);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridPromoReportingDetail()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridPromoReportingDetail);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAllPromoPager()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllPromoPager);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAllPromoDetailReportPager()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllPromoDetailReportPager);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public PromoReportingController Actions { get { return MVC.PromoReporting; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "PromoReporting";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "PromoReporting";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
            public readonly string Index = "Index";
            public readonly string Detail = "Detail";
            public readonly string GridGetAllPromoReporting = "GridGetAllPromoReporting";
            public readonly string GridPromoReportingDetail = "GridPromoReportingDetail";
            public readonly string GridGetAllPromoPager = "GridGetAllPromoPager";
            public readonly string GridGetAllPromoDetailReportPager = "GridGetAllPromoDetailReportPager";
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
            public const string Index = "Index";
            public const string Detail = "Detail";
            public const string GridGetAllPromoReporting = "GridGetAllPromoReporting";
            public const string GridPromoReportingDetail = "GridPromoReportingDetail";
            public const string GridGetAllPromoPager = "GridGetAllPromoPager";
            public const string GridGetAllPromoDetailReportPager = "GridGetAllPromoDetailReportPager";
        }


        static readonly ActionParamsClass_Index s_params_Index = new ActionParamsClass_Index();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Index IndexParams { get { return s_params_Index; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Index
        {
            public readonly string status = "status";
            public readonly string txtSearch = "txtSearch";
            public readonly string type = "type";
        }
        static readonly ActionParamsClass_Detail s_params_Detail = new ActionParamsClass_Detail();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Detail DetailParams { get { return s_params_Detail; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Detail
        {
            public readonly string idMem = "idMem";
            public readonly string idProm = "idProm";
            public readonly string status = "status";
        }
        static readonly ActionParamsClass_GridPromoReportingDetail s_params_GridPromoReportingDetail = new ActionParamsClass_GridPromoReportingDetail();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridPromoReportingDetail GridPromoReportingDetailParams { get { return s_params_GridPromoReportingDetail; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridPromoReportingDetail
        {
            public readonly string idMem = "idMem";
            public readonly string idProm = "idProm";
        }
        static readonly ActionParamsClass_GridGetAllPromoPager s_params_GridGetAllPromoPager = new ActionParamsClass_GridGetAllPromoPager();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAllPromoPager GridGetAllPromoPagerParams { get { return s_params_GridGetAllPromoPager; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAllPromoPager
        {
            public readonly string hiddenSearch = "hiddenSearch";
            public readonly string page = "page";
        }
        static readonly ActionParamsClass_GridGetAllPromoDetailReportPager s_params_GridGetAllPromoDetailReportPager = new ActionParamsClass_GridGetAllPromoDetailReportPager();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAllPromoDetailReportPager GridGetAllPromoDetailReportPagerParams { get { return s_params_GridGetAllPromoDetailReportPager; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAllPromoDetailReportPager
        {
            public readonly string txtSearch = "txtSearch";
            public readonly string idm = "idm";
            public readonly string idProm = "idProm";
            public readonly string page = "page";
        }
        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
                public readonly string Detail = "Detail";
                public readonly string GridGetAllPromoReporting = "GridGetAllPromoReporting";
                public readonly string GridPromoReportingDetail = "GridPromoReportingDetail";
                public readonly string Index = "Index";
            }
            public readonly string Detail = "~/Views/PromoReporting/Detail.cshtml";
            public readonly string GridGetAllPromoReporting = "~/Views/PromoReporting/GridGetAllPromoReporting.cshtml";
            public readonly string GridPromoReportingDetail = "~/Views/PromoReporting/GridPromoReportingDetail.cshtml";
            public readonly string Index = "~/Views/PromoReporting/Index.cshtml";
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_PromoReportingController : LoyaltyPointEngine.CMS.Controllers.PromoReportingController
    {
        public T4MVC_PromoReportingController() : base(Dummy.Instance) { }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string status);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index(string status)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "status", status);
            IndexOverride(callInfo, status);
            return callInfo;
        }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string txtSearch, string type);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index(string txtSearch, string type)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "txtSearch", txtSearch);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "type", type);
            IndexOverride(callInfo, txtSearch, type);
            return callInfo;
        }

        [NonAction]
        partial void DetailOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int idMem, int idProm, string status);

        [NonAction]
        public override System.Web.Mvc.ActionResult Detail(int idMem, int idProm, string status)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Detail);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "idMem", idMem);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "idProm", idProm);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "status", status);
            DetailOverride(callInfo, idMem, idProm, status);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllPromoReportingOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllPromoReporting()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllPromoReporting);
            GridGetAllPromoReportingOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void GridPromoReportingDetailOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int idMem, int idProm);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridPromoReportingDetail(int idMem, int idProm)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridPromoReportingDetail);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "idMem", idMem);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "idProm", idProm);
            GridPromoReportingDetailOverride(callInfo, idMem, idProm);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllPromoPagerOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string hiddenSearch, int? page);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllPromoPager(string hiddenSearch, int? page)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllPromoPager);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "hiddenSearch", hiddenSearch);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "page", page);
            GridGetAllPromoPagerOverride(callInfo, hiddenSearch, page);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllPromoDetailReportPagerOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string txtSearch, int idm, int idProm, int? page);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllPromoDetailReportPager(string txtSearch, int idm, int idProm, int? page)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllPromoDetailReportPager);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "txtSearch", txtSearch);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "idm", idm);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "idProm", idProm);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "page", page);
            GridGetAllPromoDetailReportPagerOverride(callInfo, txtSearch, idm, idProm, page);
            return callInfo;
        }

    }
}

#endregion T4MVC
#pragma warning restore 1591, 3008, 3009, 0108, 0114
